<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Mega Tour Pro
	 * @since Mega Tour Pro 1.0.0
	 */

	/**
	 * mega_tour_pro_doctype hook
	 *
	 * @hooked mega_tour_pro_doctype -  10
	 *
	 */
	do_action( 'mega_tour_pro_doctype' );

?>
<head>
<?php
	/**
	 * mega_tour_pro_before_wp_head hook
	 *
	 * @hooked mega_tour_pro_head -  10
	 *
	 */
	do_action( 'mega_tour_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php 
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	}
?>

<?php
	/**
	 * mega_tour_pro_page_start_action hook
	 *
	 * @hooked mega_tour_pro_page_start -  10
	 *
	 */
	do_action( 'mega_tour_pro_page_start_action' ); 

	/**
	 * mega_tour_pro_loader_action hook
	 *
	 * @hooked mega_tour_pro_loader -  10
	 *
	 */
	do_action( 'mega_tour_pro_before_header' );

	/**
	 * mega_tour_pro_header_action hook
	 *
	 * @hooked mega_tour_pro_header_start -  10
	 * @hooked mega_tour_pro_site_branding -  20
	 * @hooked mega_tour_pro_site_navigation -  30
	 * @hooked mega_tour_pro_header_end -  50
	 *
	 */
	do_action( 'mega_tour_pro_header_action' );

	/**
	 * mega_tour_pro_content_start_action hook
	 *
	 * @hooked mega_tour_pro_content_start -  10
	 *
	 */
	do_action( 'mega_tour_pro_content_start_action' );

	/**
	 * mega_tour_pro_header_image_action hook
	 *
	 * @hooked mega_tour_pro_header_image -  10
	 *
	 */
	do_action( 'mega_tour_pro_header_image_action' );

    if ( mega_tour_pro_is_frontpage() ) {
    	$options = mega_tour_pro_get_theme_options();
    	$sorted = array();
    	if ( ! empty( $options['sortable'] ) ) {
			$sorted = explode( ',' , $options['sortable'] );
		}
		foreach ( $sorted as $section ) {
			add_action( 'mega_tour_pro_primary_content', 'mega_tour_pro_add_'. $section .'_section' );
		}
		do_action( 'mega_tour_pro_primary_content' );
	}