<?php
// /**
//  * Demo Import.
//  *
//  * This is the template that includes all the other files for core featured of Theme Palace
//  *
//  * @package Theme Palace
//  * @subpackage Mega Tour Pro
//  * @sinceMega Mega Tour Pro 1.0.0
//  */


function mega_tour_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'mega-tour-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'mega_tour_pro_ctdi_plugin_page_setup' );


function mega_tour_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro Demo', 'mega-tour-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro/megatourpro.WordPress.2021-01-25.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro/themepalacedemo.com-mega-tour-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro/mega-tour-pro-export.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro/mega-tour-pro.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'mega-tour-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/mega-tour-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Blog Demo', 'mega-tour-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Blog/megatourblog.WordPress.2020-09-04.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Blog/themepalacedemo.com-mega-tour-pro-blog-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Blog/mega-tour-pro-export.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Blog/mega-tour-pro-blog.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'mega-tour-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/mega-tour-pro-blog',
        ),
        array(
            'import_file_name'             => esc_html__( 'Medical Demo', 'mega-tour-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Medical/megamedical.WordPress.2020-09-04.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Medical/themepalacedemo.com-mega-tour-pro-medical-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Medical/mega-tour-pro-export.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Medical/mega-tour-pro-medical.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'mega-tour-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/mega-tour-pro-medical',
        ),
        array(
            'import_file_name'             => esc_html__( 'Education Demo', 'mega-tour-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Education/megaeducation.WordPress.2020-09-04.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Education/themepalacedemo.com-mega-tour-pro-education-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Education/mega-tour-pro-export.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Education/mega-tour-pro-education.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'mega-tour-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/mega-tour-pro-education',
        ),
        array(
            'import_file_name'             => esc_html__( 'Dark Demo', 'mega-tour-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Dark/megatourprodark.WordPress.2020-09-04.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Dark/themepalacedemo.com-mega-tour-pro-dark-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Dark/mega-tour-pro-export.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Dark/mega-tour-pro-dark.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'mega-tour-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/mega-tour-pro-dark',
        ),
        array(
            'import_file_name'             => esc_html__( 'Corporate Demo', 'mega-tour-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Corporate/megatourprocorporate.WordPress.2020-09-04.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Corporate/themepalacedemo.com-mega-tour-pro-corporate-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Corporate/mega-tour-pro-export.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Corporate/mega-tour-pro-corporate.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'mega-tour-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/mega-tour-pro-corporate',
        ),
        array(
            'import_file_name'             => esc_html__( 'Classic Demo', 'mega-tour-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/Pro-Classic/megatourproclassic.WordPress.2020-09-04.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/Pro-Classic/themepalacedemo.com-mega-tour-pro-classic-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/Pro-Classic/mega-tour-pro-export.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/Pro-Classic/mega-tour-pro-classic.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'mega-tour-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/mega-tour-pro-classic',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'mega_tour_pro_ctdi_import_files' );



function mega_tour_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'mega_tour_pro_ctdi_after_import_setup' );

// add_action( 'cp-ctdi/enable_wp_customize_save_hooks', '__return_true' );